
/**
 * Web唐明明
 * 匆匆数载恍如梦，岁月迢迢华发增。
 * 碌碌无为枉半生，一朝惊醒万事空。
 * moduleName: 部门/门店
 */

import { request } from '../index'

// 列表
const shops = () => {
	return request({
		url: 'coupons/tools/stores'
	})
}

// 创建
const create = data => {
	return request({
		url: 'coupons/tools/stores',
		method: 'POST',
        data: data
	})
}

// 详情
const editInfo = storeId => {
	return request({
		url: 'coupons/tools/stores/' + storeId + '/edit'
	})
}

// 编辑
const putShop = (storeId, data) => {
	return request({
		url: 'coupons/tools/stores/' + storeId,
		method: 'PUT',
		data
	})
}

// 删除
const deleteShop = storeId => {
	return request({
		url: 'coupons/tools/stores/' + storeId,
		method: 'DELETE'
	})
}

export {
	shops,
	create,
	editInfo,
	putShop,
	deleteShop
}
